Subject: Re: [PATCH net] netfilter: nftables: Do not run chains in the wrong network namespace

From: Pablo Neira Ayuso <[email-masked]>
Date: Fri, 19 Jun 2015 19:21:28 +0200

On Fri, Jun 19, 2015 at 10:41:21AM -0500, Eric W. Biederman wrote:
> 
> Currenlty nf_tables chains added in one network namespace are being
> run in all network namespace.  The issues are myriad with the simplest
> being an unprivileged user can cause any network packets to be dropped.
> 
> Address this by simply not running nf_tables chains in the wrong
> network namespace.
> 
> Cc: [email-masked]
> Signed-off-by: "Eric W. Biederman" <[email-masked]>

Acked-by: Pablo Neira Ayuso <[email-masked]>

@David: Patrick sent a similar patch to address this, if you can get
this into the net tree, I'll make sure this propagates to -stable.
Thanks.
--
To unsubscribe from this list: send the line "unsubscribe netfilter-devel" in